<!DOCTYPE html>

<html lang="zxx">

<head>

  <!-- Main Stylesheet -->
  <link href="css/style_2.css" rel="stylesheet">
  <script src="forscrolly.js"></script>

</head>



<body class="over_margins">


  <section>
    <div class="topsec rightcolumn">
        <div class="navbar">
          <div class="navtext fortop">
              <a class="h7">Isaúl García</a>
          </div>
          <div class="navtext fortop forright">
              <a class="h8 navspacerR hovy" href="index.html">Home</a>
              <a class="h8 navspacerR hovy" href="aboutme.html">About</a>
              <a class="h8 navspacerR hovy" href="projects.html">Projects</a>
              <a class="h8 navspacerR hovy activenav" href="fabacademy.html">Fab Academy</a>
              <a class="h8 navspacerR hovy" href="journal.html">Journal</a>
          </div>
      </div>
      <hr width="100%" size="1" color="#000"/>
    </div>
  </section>


<section class="gridxx">

<!--
<div id="myBtnContainer">
  <button class="btn active" onclick="filterSelection('all')"> Show all</button>
  <button class="btn" onclick="filterSelection('one')"> Cars</button>
  <button class="btn" onclick="filterSelection('animals')"> Animals</button>
  <button class="btn" onclick="filterSelection('fruits')"> Fruits</button>
  <button class="btn" onclick="filterSelection('colors')"> Colors</button>
</div>
-->

<!-- first floating PICTURES -->

<div class="container myDiv">

  <div class="filterDiv one imgcontainer" id="some-div">
    <a href="fab_0.html">
      <img class="inage" src="images/html.png">
    </a>
    <div>
      <div id="some-element">W0 Building the Website</div>
    </div>
  </div>

  <div class="filterDiv one imgcontainer" id="some-div">
    <a href="fab_1.html">
      <img class="inage" src="images/sketch2.png">
    </a>
    <div>
      <div id="some-element">W1 Sketch Project</div>
    </div>
  </div>

  <div class="filterDiv one imgcontainer" id="some-div">
    <a href="fab_3.html">
      <img class="inage" src="images/javacube2.png">
    </a>
    <div>
      <div id="some-element">W2 Computer-Aided Design</div>
    </div>
  </div>

  <div class="filterDiv one imgcontainer" id="some-div">
    <a href="fab_4.html">
      <img class="inage" src="images/faba42.png">
    </a>
    <div>
      <div id="some-element">W3 Laser Cutting + Vinyl Cutting</div>
    </div>
  </div>

  <div class="filterDiv one imgcontainer" id="some-div">
    <a href="fab_5.html">
      <img class="inage" src="images/chipi2.png">
    </a>
    <div>
      <div id="some-element">W4 Electronics Production</div>
    </div>
  </div>


    <div class="filterDiv one imgcontainer" id="some-div">
      <a href="fab_6.html">
        <img class="inage" src="images/3dprinted2.png">
      </a>
      <div>
        <div id="some-element">W5 3D Printing + Scanning</div>
      </div>
    </div>

    <div class="filterDiv one imgcontainer" id="some-div">
      <a href="fab_7.html">
        <img class="inage" src="images/cnc2.png">
      </a>
      <div>
        <div id="some-element">W7 Computer Controlled Machining</div>
      </div>
    </div>

    <div class="filterDiv one imgcontainer" id="some-div">
      <a href="fab_8.html">
        <img class="inage" src="images/embed.png">
      </a>
      <div>
        <div id="some-element">W8 Embedded Programming</div>
      </div>
    </div>

    <div class="filterDiv one imgcontainer" id="some-div">
      <a href="fab_9.html">
        <img class="inage" src="images/input2.png">
      </a>
      <div>
        <div id="some-element">W9 Inputs</div>
      </div>
    </div>

    <div class="filterDiv one imgcontainer" id="some-div">
      <a href="fab_11.html">
        <img class="inage" src="images/output2.png">
      </a>
      <div>
        <div id="some-element">W11 Outputs</div>
      </div>
    </div>

    <div class="filterDiv one imgcontainer" id="some-div">
      <a href="fab_12.html">
        <img class="inage" src="images/interface.png">
      </a>
      <div>
        <div id="some-element">W12 Interface and Application Programming</div>
      </div>
    </div>

    <div class="filterDiv one imgcontainer" id="some-div">
      <a href="fab_14.html">
        <img class="inage" src="images/networking.png">
      </a>
      <div>
        <div id="some-element">W14 Networking</div>
      </div>
    </div>

    <div class="filterDiv one imgcontainer" id="some-div">
      <a href="fab_13.html">
        <img class="inage" src="images/myguy.png">
      </a>
      <div>
        <div id="some-element">W17 Final Project</div>
      </div>
    </div>

<!--
  <div class="filterDiv one">Red</div>
  <div class="filterDiv cars animals">Mustang</div>
  <div class="filterDiv colors">Blue</div>
  <div class="filterDiv animals">Cat</div>
  <div class="filterDiv animals">Dog</div>
  <div class="filterDiv fruits">Melon</div>
  <div class="filterDiv fruits animals">Kiwi</div>
  <div class="filterDiv fruits">Banana</div>
  <div class="filterDiv fruits">Lemon</div>
  <div class="filterDiv animals">Cow</div>
-->

</div>


<script>
filterSelection("all")
function filterSelection(c) {
  var x, i;
  x = document.getElementsByClassName("filterDiv");
  if (c == "all") c = "";
  for (i = 0; i < x.length; i++) {
    w3RemoveClass(x[i], "show");
    if (x[i].className.indexOf(c) > -1) w3AddClass(x[i], "show");
  }
}

function w3AddClass(element, name) {
  var i, arr1, arr2;
  arr1 = element.className.split(" ");
  arr2 = name.split(" ");
  for (i = 0; i < arr2.length; i++) {
    if (arr1.indexOf(arr2[i]) == -1) {element.className += " " + arr2[i];}
  }
}

function w3RemoveClass(element, name) {
  var i, arr1, arr2;
  arr1 = element.className.split(" ");
  arr2 = name.split(" ");
  for (i = 0; i < arr2.length; i++) {
    while (arr1.indexOf(arr2[i]) > -1) {
      arr1.splice(arr1.indexOf(arr2[i]), 1);
    }
  }
  element.className = arr1.join(" ");
}

// Add active class to the current button (highlight it)
var btnContainer = document.getElementById("myBtnContainer");
var btns = btnContainer.getElementsByClassName("btn");
for (var i = 0; i < btns.length; i++) {
  btns[i].addEventListener("click", function(){
    var current = document.getElementsByClassName("active");
    current[0].className = current[0].className.replace(" active", "");
    this.className += " active";
  });
}
</script>

</section>

<!-- first floating PICTURES -->

<section>
  <div class="rightcolumn fo">
    <hr width="100%" size="1" color="#000"/>
  </div>
</section>


<!--
  <div class="footer">
    <h2>ABOUT ME</h2>
  </div>
-->

</body>


</html>
